<?php
require_once("../../includes/bootstrap.php");
$sesion = new sesion(); // inicio la sesion
//---------------
//cache();
//-----------------
$sesion->set('permiso', permisos($_POST['privilegio']));

$academia = bootstrap::initBd($sesion->get('anio'));
$mayus_nom = $sesion->getVar('configuracion.format_nom');
$mayus_mat = $sesion->getVar('configuracion.format_mat');
require_once("../../includes/Parser.php");
$tipoHoja = $_GET['tipohoja'];
$print = ($_GET['tipoprint'] == 'view') ? FALSE : TRUE;

$codigo = $_GET['codigo'];
$nivel = $_GET['nivel'];
$reporte = $_GET['rep'];

if ($reporte == 'tot') {
    if ($nivel == 'doc') {
        $sql = 'CALL SP_LISTADOS_NOTAS_DOCENTE(' . $codigo . ',"' . uniqid() . '")';
    } else {
        $sql = 'CALL SP_LISTADOS_NOTAS_GRUPO(' . $codigo . ',"' . uniqid() . '")';
    }
}else{
    $sql = 'CALL SP_LISTADOS_NOTAS_GRUPO(' . $codigo . ',"' . uniqid() . '")';
}
if ($sesion->get('ac_usuario') == 'prointel')
    echo $sql; 
?>
<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>Cuadro de honor</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width">
        <?php
        if ($tipoHoja == 0) {
            echo '<link href="../../css/formato_hoja_carta.css" rel="stylesheet" type="text/css">';
        } else {
            echo '<link href="../../css/formato_hoja_oficio.css" rel="stylesheet" type="text/css">';
        }
        ?>
        <link href="../../css/formato_print.css" rel="stylesheet" type="text/css">

        <script type="text/javascript">
<?php
echo ($print) ? 'window.print(); window.close()' : ''
?>
        </script>
    </head>
    <body> 

        <?php
        $tmplEncabezado = '<table align="center" class="print-encabezado">'
                . '<tr><td align="center"><b>{nom_colegio}</b></td></tr>'
                . '<tr><td align="center">Sede: {nom_sede}</td></tr>'
                . '<tr><td align="center">Grupo: <i>{nom_grupo}</i> Jornada: <i>{nom_jornada}</i> Año lectivo: <i>{anio}</i> </td></tr>'
                . '<tr><td align="center">{materia}</td></tr>'
                . '<tr><td align="center">{docente}</td></tr>'
                . '</table>';


        $academia->instruccion($sql);
        $i = 1;

        $parse = new CI_Parser();
        $nomColegio = strtoupper($sesion->getVar('info_colegio.nombre'));
        $nomgrupo = $sesion->getVar('configuracion.nombres_grupos');

        $fotter = $dtsLang['project']['nom_soft'] . ' ' . $dtsLang['project']['ver_soft'] . ' ' . $dtsLang['project']['footertext'];
        $pie_pagina = getFotter('', $fotter, '');

        $codMateria = -1;
       
        while ($reg = $academia->extraer_registro()) {
            $promedios = json_decode($reg['notas']);
            $pierde=(float)$reg['pierde'];
            if ($codMateria != $reg['nomasi']) {
                $i = 1;
                $dtsEsquema = array(
                    'nom_colegio' => $nomColegio,
                    'nom_sede' => $reg['nomsede'],
                    'nom_grupo' => $reg['grupo'],
                    'nom_jornada' => $reg['nomjor'],
                    'anio' => $sesion->get('anio'),
                    'materia' => formatoPalabras($reg['nomasi'],$mayus_mat),
                    'docente' => formatoPalabras($reg['profesor'],$mayus_nom),
                );

                echo ($codMateria != '-1') ? '</table>' . $pie_pagina . '<div id="salto" class="salto"></div>' : '';
                echo $parse->parse($tmplEncabezado, $dtsEsquema, true);
                $encabezadoTbRep = '<table align="center" class="table-print">
                        <tr>
                            <th>N°</th> 
                            <th>Apellidos y nombres</th>';
                $con=count($promedios)-1;
                
                for($k=1; $k<=$con;$k++){
                    $encabezadoTbRep .= '<th>P '.$k.'</th>';
                }
                $encabezadoTbRep .= '<th>Def.</th>';
                $encabezadoTbRep .= '</tr>';
                echo $encabezadoTbRep;
                $codMateria = $reg['nomasi'];
            }


            //$promedios=$reg['notas']; 
 
            $tr = '
        <tr>
            <td>' . $i . '</td>
            <td>' . formatoPalabras($reg['estudiante'], $mayus_nom) . '</td>';

            foreach ($promedios as $n) {
                $nx=(float) $n;
                $nz=$nx<=$pierde ? '<b>'.numberFormat($n).'</b>' : numberFormat($n);
                $tr .= '<td>' . $nz. '</td>';
            }


            $tr.='</tr>';
            echo $tr;

            $i++;
        }
        $academia->liberar();
        $academia->cerrar();
        ?>
    </table><?php echo $pie_pagina ?>
</body>
</html>
